COSA-TX(1)

NAME
cosanta-tx - manual page for cosanta-tx v23.1.8

SYNOPSIS
cosanta-tx [options] <hex-tx> [commands] Update hex-encoded cosanta transaction
cosanta-tx [options] -create [commands] Create hex-encoded cosanta transaction

DESCRIPTION
Cosanta Core cosanta-tx utility version v23.1.8

OPTIONS

-?

    Print this help message and exit

-create

    Create new, empty TX.

-json

    Select JSON output

-txid

    Output only the hex-encoded transaction id of the resultant transaction.

-version

    Print version and exit

Chain selection options:

-chain=<chain>

    Use the chain <chain> (default: main). Allowed values: main, test, devnet, regtest

-devnet=<name>

    Use devnet chain with provided name

-testnet

    Use the test chain. Equivalent to -chain=test

Commands:

    delin=N

    Delete input N from TX

    delout=N

    Delete output N from TX

    in=TXID:VOUT(:SEQUENCE_NUMBER)

    Add input to TX

    locktime=N

    Set TX lock time to N

    nversion=N

    Set TX version to N

    outaddr=VALUE:ADDRESS

    Add address-based output to TX

    outdata=[VALUE:]DATA

    Add data-based output to TX

    outmultisig=VALUE:REQUIRED:PUBKEYS:PUBKEY1:PUBKEY2:....[:FLAGS]

    Add Pay To n-of-m Multi-sig output to TX. n = REQUIRED, m = PUBKEYS. Optionally add the "S" flag to wrap the output in a pay-to-script-hash.

    outpubkey=VALUE:PUBKEY[:FLAGS]

    Add pay-to-pubkey output to TX. Optionally add the "S" flag to wrap the output in a pay-to-script-hash.

    outscript=VALUE:SCRIPT[:FLAGS]

    Add raw script output to TX. Optionally add the "S" flag to wrap the output in a pay-to-script-hash.

    sign=SIGHASH-FLAGS

    Add zero or more signatures to transaction. This command requires JSON registers:prevtxs=JSON object, privatekeys=JSON object. See signrawtransactionwithkey docs for format of sighash flags, JSON objects.

Register Commands:

    load=NAME:FILENAME

    Load JSON file FILENAME into register NAME

    set=NAME:JSON-STRING

    Set register NAME to given JSON-STRING

COPYRIGHT
Copyright (C) 2014-2026 The Cosanta Core developers Copyright (C) 2009-2026 The Bitcoin Core developers Please contribute if you find Cosanta Core useful. Visit <https://cosa.is/> for further information about the software. The source code is available from <https://github.com/cosanta/cosanta-core>. This is experimental software. Distributed under the MIT software license, see the accompanying file COPYING or <https://opensource.org/licenses/MIT>